'$sim
$regfile = "m16def.dat"                                     ' or M8535 same pin layout M16 have more flash space
$crystal = 8000000
$hwstack = 32
$swstack = 20
$framesize = 40

'Setup your lcd I use
Config Lcdpin = Pin , Db4 = Portc.5 , Db5 = Portc.4 , Db6 = Portc.3 , Db7 = Portc.2 , E = Portc.6 , Rs = Portc.7
Config Lcd = 16 * 2

Cls
Cursor Off

Config Rc5 = Pind.3

Dim Address As Byte , Command As Byte

''info screen
Lcd "RC5 Remote Read"
Locate 2 , 1
Lcd " FarmTech 2010 "
wait 1
Cls
Enable Interrupts

Do
'read the RC5
Getrc5(address , Command)                                   'read if we have remote ir command
  If Address <> 255 Then
     Command = Command And &B01111111


  Locate 1 , 1
 'Add info to lcd  address
 Select Case Address
 '---- this codes are for my remote , change code to your suit ! ----------------
   Case 0 : Lcd "Tv1         "
   Case 1 : Lcd "Tv2         "
   Case 2 : Lcd "Teletext    "
   Case 3 : Lcd "Video       "
   Case 4 : Lcd "Lv1         "
   Case 5 : Lcd "Vcr1        "
   Case 6 : Lcd "Vcr2        "
   Case 7 : Lcd "Experimental"
   Case 8 : Lcd "Sat1        "
   Case 9 : Lcd "Camera      "
   Case 10 : Lcd "Sat2        "
   Case 11 : Lcd "???         "
   Case 12 : Lcd "Cdv         "
   Case 13 : Lcd "Camcorder   "
   Case 14 : Lcd "Cd player 1 "
   Case 15 : Lcd "???         "
   Case 16 : Lcd "Pre amp 1   "
   Case 17 : Lcd "Tuner       "
   Case 18 : Lcd "Recorder1   "
   Case 19 : Lcd "Pre amp 2   "
   Case 20 : Lcd "Cd Player 2 "
   Case 21 : Lcd "Phono       "
   Case 22 : Lcd "Sata        "
   Case 23 : Lcd "Recorder2   "
   Case 24 : Lcd "???         "
   Case 25 : Lcd "???         "
   Case 26 : Lcd "Cdr         "
   Case 27 : Lcd "???         "
   Case 28 : Lcd "???         "
   Case 29 : Lcd "Lighting 1  "
   Case 30 : Lcd "Lighting 2  "
 End Select
  Locate 1 , 14
  Lcd Address ; " "
  Locate 2 , 1
 'add info to lcd Command
 Select Case Command
 '---- this codes are for my remote , change code to your suit ! ----------------
   Case 0 : Lcd "0            "
   Case 1 : Lcd "1            "
   Case 2 : Lcd "2            "
   Case 3 : Lcd "3            "
   Case 4 : Lcd "4            "
   Case 5 : Lcd "5            "
   Case 6 : Lcd "6            "
   Case 7 : Lcd "7            "
   Case 8 : Lcd "8            "
   Case 9 : Lcd "9            "
   Case 10 : Lcd "- / - -     "
   Case 11 : Lcd "???         "
   Case 12 : Lcd "Standby     "
   Case 13 : Lcd "Mute        "
   Case 14 : Lcd "???         "
   Case 15 : Lcd "???         "
   Case 16 : Lcd "Volume +    "
   Case 17 : Lcd "Volume -    "
   Case 18 : Lcd "Brightness +"
   Case 19 : Lcd "Brightness -"
   Case 20 : Lcd "???         "
   Case 21 : Lcd "???         "
   Case 22 : Lcd "???         "
   Case 23 : Lcd "???         "
   Case 24 : Lcd "???         "
   Case 25 : Lcd "???         "
   Case 26 : Lcd "???         "
   Case 27 : Lcd "???         "
   Case 28 : Lcd "???         "
   Case 29 : Lcd "???         "
   Case 30 : Lcd "???         "
   Case 31 : Lcd "???         "
   Case 32 : Lcd "Program +   "
   Case 33 : Lcd "Program -   "
   Case 34 : Lcd "???         "
   Case 35 : Lcd "???         "
   Case 36 : Lcd "???         "
   Case 37 : Lcd "???         "
   Case 38 : Lcd "???         "
   Case 39 : Lcd "???         "
   Case 40 : Lcd "???         "
   Case 41 : Lcd "???         "
   Case 42 : Lcd "???         "
   Case 43 : Lcd "???         "
   Case 44 : Lcd "???         "
   Case 45 : Lcd "???         "
   Case 46 : Lcd "???         "
   Case 47 : Lcd "???         "
   Case 48 : Lcd "???         "
   Case 49 : Lcd "???         "
   Case 50 : Lcd "Fast Rewind "
   Case 52 : Lcd "Fast Forward"
   Case 53 : Lcd "Play        "
   Case 54 : Lcd "Stop        "
   Case 55 : Lcd "Recording   "
 End Select
   Locate 2 , 14
   Lcd Command ; " "
  waitms 50
  End If

Loop
End



